Bug 1292 - can\'t create temporary directory /root/tmp/cvs-serv3877
: can\'t create temporary directory /root/tmp/cvs-serv3877
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/cvs-pserver)
: unstable
: all Linux
: P4 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2002-09-20 15:47 by
Modified: 2003-08-25 15:18 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2002-09-20 15:47:19
cvs-pserver, похоже, сначала сбрасывает привилегии, а потом пытается создать
временный каталог. Это место, похоже, затронуто alt патчем, и вызывается mktemp
без указания опции -p и публично доступного временного каталога. В результате
pserver не работает вообще.
---

---
Master 2.0
------- Comment #1 From 2002-09-20 16:42:51 -------
Более пристальное изучение показало, что /usr/sbin/cvspserver это скрипт :)
Определение в нём TMPDIR решает проблему.
------- Comment #2 From 2002-09-20 16:42:51 -------
Более пристальное изучение показало, что /usr/sbin/cvspserver это скрипт :)
Определение в нём TMPDIR решает проблему.
------- Comment #3 From 2002-09-23 13:35:23 -------
У меня все работает и без внесения изменений в /usr/sbin/cvspserver.
На какой операции происходит сбой?
------- Comment #4 From 2002-09-23 13:35:23 -------
У меня все работает и без внесения изменений в /usr/sbin/cvspserver.
На какой операции происходит сбой?
------- Comment #5 From 2002-09-23 13:47:20 -------
при checkuot
пишет:
 can\'t create temporary directory /root/tmp/......
 Pemission denied
------- Comment #6 From 2002-09-23 13:47:20 -------
при checkuot
пишет:
 can\'t create temporary directory /root/tmp/......
 Pemission denied
------- Comment #7 From 2002-10-01 10:25:41 -------
Похоже, что эффект проявляется только если сделать перед этим от root xinetd
restart
------- Comment #8 From 2002-10-01 10:25:41 -------
Похоже, что эффект проявляется только если сделать перед этим от root xinetd
restart
------- Comment #9 From 2002-11-25 02:42:40 -------
Try cvs-pserver-1.11.2-alt2
------- Comment #10 From 2002-11-25 02:42:40 -------
Try cvs-pserver-1.11.2-alt2
------- Comment #11 From 2002-11-25 10:22:11 -------
it works, thanks
------- Comment #12 From 2002-11-25 10:22:11 -------
it works, thanks
------- Comment #13 From 2002-11-25 16:17:59 -------
Fixed cvs-pserver-1.11.2-alt2
------- Comment #14 From 2002-11-25 16:17:59 -------
Fixed cvs-pserver-1.11.2-alt2